Name:           perl-pip
Summary:        Perl Installation Program, for scripted and distribution installation
Version:        1.19
Release:        11%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/pip-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/pip/
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Zip) >= 1.29
BuildRequires:  perl(Carp)
BuildRequires:  perl(CPAN) >= 1.76
BuildRequires:  perl(CPAN::Inject) >= 0.07
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::pushd) >= 0.32
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(File::Temp) >= 0.14
BuildRequires:  perl(File::Which) >= 1.08
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP::Online) >= 1.06
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(PAR::Dist) >= 0.25
BuildRequires:  perl(Params::Util) >= 1.00
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Test::Script) >= 1.02

Requires:       perl(Archive::Zip) >= 1.29
Requires:       perl(Carp)
Requires:       perl(CPAN) >= 1.76
Requires:       perl(CPAN::Inject) >= 0.07
Requires:       perl(File::Basename)
Requires:       perl(File::pushd) >= 0.32
Requires:       perl(File::Spec) >= 0.80
Requires:       perl(File::Temp) >= 0.14
Requires:       perl(File::Which) >= 1.08
Requires:       perl(Getopt::Long)
Requires:       perl(IO::Zlib)
Requires:       perl(LWP::Simple)
Requires:       perl(PAR::Dist) >= 0.25
Requires:       perl(Params::Util) >= 1.00
Requires:       perl(URI)


%{?perl_default_filter}

%description
The pip ("Perl Installation Program") console application is used to
install Perl distributions in a wide variety of formats, both from CPAN and
from external third-party locations, while supporting module dependencies
that go across the boundary from third-party to CPAN.

%prep
%setup -q -n pip-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

mv $RPM_BUILD_ROOT%{_bindir}/pip $RPM_BUILD_ROOT%{_bindir}/perl-pip

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# too long response time
%{?!_with_network_tests: rm t/03_uri.t }
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/perl-pip

%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.19-11
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 1.19-9
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.19-5
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.19-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 02 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.19-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (1.19)
- added a new br on perl(Carp) (version 0)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(File::Basename) (version 0)
- added a new br on perl(File::Spec) (version 0.80)
- added a new br on perl(File::Temp) (version 0.14)
- added a new br on perl(Getopt::Long) (version 0)
- added a new br on perl(PAR::Dist) (version 0.25)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(File::Basename) (version 0)
- added a new req on perl(File::Spec) (version 0.80)
- added a new req on perl(File::Temp) (version 0.14)
- added a new req on perl(Getopt::Long) (version 0)

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 1.18-1
- 1.18 bump
- Remove autodetected perl(Archive::Tar) and perl(URI) Requires

* Wed Aug  4 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.16-3
- rename pip to perl-pip because it conflicts with python-pip 616626

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.16-2
- Mass rebuild with perl-5.12.0

* Tue Jan 12 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.16-1
- fix bugs for review

* Wed Nov 18 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.13-1
- Specfile autogenerated by cpanspec 1.78.
